# ConotoxiaPay - Wtyczka do PrestaShop
Wtyczka dodaje bramkę płatności Cinkciarz Pay dla PrestaShop.

## Dziennik zmian
- 1.30.0 Dodano wspracie dla statusu CANCELLED dla zwrotów
- 1.28.0 Dodano możliwość wyboru dodatkowych ikon metod płatności 
- 1.24.0 Dodano wsparcie dla multistore
- 1.23.0 Dodano wsparcie dla PrestaShop 1.7.7.3.
- 1.22.2 Zakończono wsparcie dla PrestaShop 1.7.6
- 1.14.4 Poprawiono obsługę błędów na stronie podsumowania płatności.
- 1.14.0 Dodano możliwość generowania kluczy publicznych i prywatnych podczas konfiguracji.
- 1.10.0 Dodano widok listy zwrotów dla danej płatności i możliwość wykonania częściowych zwrotów.
- 1.6.0 Dodano możliwość ukrycia ikony na liście wyboru płatności.
- 0.6.1 Dodano tryb sandbox umożliwiający wykonanie płatności na środowisku testowym.

## Spis treści

* [Wymagania](#wymagania)
* [Instalacja](#instalacja)
    * [Instalacja manualna](#instalacja-manualna)
* [Konfiguracja](#konfiguracja)
    * [Konfiguracja wtyczki w PrestaShop](#konfiguracja-wtyczki-w-prestashop)
    * [Konfiguracja dodatkowych stron w PrestaShop](#konfiguracja-dodatkowych-stron-w-prestashop)
    * [Konfiguracja punktu płatności w Panelu sprzedawcy](#konfiguracja-punktu-płatności-w-panelu-sprzedawcy)
* [Zwroty](#zwroty)

## Wymagania
* PrestaShop w wersji 1.7.7+
* PHP wersja 7.1.26+
* Rozszerzenia PHP:
  * curl
  * json
  * openssl
  * readline

## Instalacja
1. Wtyczkę należy pobrać ze strony [cinkciarz.pl](https://cinkciarz.pl/platnosci/dla-developerow).
2. W panelu administracyjnym PrestaShop w `Moduły -> Menadżer modułów` należy wybrać `Załaduj moduł`.
3. Należy wybrać wcześniej pobraną wtyczkę - instalacja rozpocznie się automatycznie.

### Instalacja manualna
1. Pobraną wtyczkę należy rozpakować do katalogu `/modules`.
2. W zakładce `Moduły -> Katalog` należy wybrać `ConotoxiaPay` i zainstalować moduł.

## Konfiguracja
Poniższa instrukcja zakłada, że Partner zakończył konfigurację konta w [panelu sprzedawcy](https://fx.cinkciarz.pl/merchant).

### Konfiguracja wtyczki w PrestaShop
1. W `Moduły -> Menadżer modułów` należy wybrać `ConotoxiaPay`, a następnie `Konfiguruj`.
2. W konfiguracji wtyczki należy wprowadzić niezbędne dane:
   - `Client id*` oraz `Client secret*` - dane dostępowe możliwe do wygenerowania w [panelu sprzedawcy](https://fx.cinkciarz.pl/merchant/configuration) (sekcja `Dane dostępowe`).
   - `Identyfikator punktu płatności*` - identyfikator utworzonego punktu płatności z [panelu sprzedawcy](https://fx.cinkciarz.pl/merchant).
   - `Klucz prywatny` - możliwe jest wygenerowanie klucza prywatnego na stronie konfiguracji wtyczki. Z wprowadzonego na 
   stronie konfiguracji wtyczki klucza prywatnego generowany jest klucz publiczny. Klucz ten przy zapisie konfiguracji jest
   automatycznie przesyłany do Cinkciarz Pay. Nie jest wtedy konieczne wprowadzenie klucza w [panelu sprzedawcy](https://fx.cinkciarz.pl/merchant/public-keys/add?context=configuration).
   Dodatkowa instrukcja generowania kluczy znajduje się w [dokumentacji](https://cinkciarz.pl/developer/platnosci/sklepy-online#generowanie-klucza-publicznego).
   - `Tryb testowy` - możliwe jest przetestowanie modułu na środowisku testowym. W celu pozyskania dostępu do środowiska testowego nalezy udać się na stronę [cinkciarz.pl](https://cinkciarz.pl/kontakt/biznes)
   - `Ikona płatności` - możliwe jest dodanie ikony na liście wyboru płatności
3. Wprowadzone dane należy zapisać.
   
\* Dane można pozyskać przechodząc przez kreator w [panelu sprzedawcy](https://fx.cinkciarz.pl/merchant).

### Konfiguracja dodatkowych stron w PrestaShop
W celu przekierowania klienta do sklepu po zakończonej płatności oraz otrzymywania powiadomień z systemu Cinkciarz Pay 
należy skonfigurować dodatkowe strony w panelu administracyjnym PrestaShop:
1. Należy przejść do `Konfiguruj → Preferencje → Ruch`
2. Należy wybrać `Dodaj nową stronę` w celu dodania strony na którą klient będzie przekierowany po zakończonej płatności:
   - `Nazwa strony` - należy wybrać `conotoxiapay - success`
   - `Przepisany URL` - np. `success`. Wskazany adres jest niezbędny do wprowadzenia również w konfiguracji adresów w punkcie płatności
3. Wprowadzone dane należy zapisać.
4. Należy dodać drugą stronę w celu otrzymywania powiadomień z systemu Cinkciarz Pay:
   - `Nazwa strony` - należy wybrać `conotoxiapay - notification`
   - `Przepisany URL` - np. `notification`. Wskazany adres jest niezbędny do wprowadzenia również w konfiguracji adresów w punkcie płatności
5. Wprowadzone dane należy zapisać.

### Konfiguracja punktu płatności w [Panelu sprzedawcy](https://fx.cinkciarz.pl/merchant)
Punkt płatności powinien być skonfigurowany w panelu sprzedawcy na podstawie konfiguracji 
przeprowadzonej w `Konfiguracja dodatkowych stron w PrestaShop`:
- `Adres powiadomienia o utworzeniu płatności` - np. https://presta.store.pl/notification
- `Adres powiadomienia o utworzeniu zwrotu` - np. https://presta.store.pl/notification
- `Adres strony dla płatności udanej` - np. https://presta.store.pl/success
- `Adres strony dla płatnosci nieudanej` - np. https://presta.store.pl/success

Adresy skonfigurowane w panelu sprzedawcy oraz PrestaShop muszą być identyczne.

## Zwroty
Wtyczka ConotoxiaPay dostarcza własne rozwiązanie dotyczące tworzenia zwrotów. Nie wymaga ona aktywacji w PrestaShop.
Zwroty można tworzyć z poziomu szczegółów płatności wykonanej za pomocą ConotoxiaPay.

Z poziomu sklepu można zrealizować jeden zwrot pełny lub kilka częściowych dla każdej płatności.
